Extending Qt Creator Manual | VcsBaseDiffEditorController

Extending Qt Creator Manual 4.5.2

# VcsBaseDiffEditorController Class

(VcsBase::VcsBaseDiffEditorController)

- List of all members, including inherited members

## Public Functions

| VcsBaseDiffEditorController(Core::IDocument *document, VcsBaseClientImpl *client, const QString &workingDirectory)
| ~VcsBaseDiffEditorController()

## Protected Functions

VcsBaseClientImpl * | client() const
virtual void | processCommandOutput(const QString &output)
void | runCommand(const QList<QStringList> &args, unsigned flags, QTextCodec *codec = nullptr)
void | setStartupFile(const QString &startupFile)
QString | startupFile() const
QString | workingDirectory() const

## Member Function Documentation

### VcsBaseDiffEditorController::VcsBaseDiffEditorController(Core::IDocument *document, VcsBaseClientImpl *client, const QString &workingDirectory)

Default constructs an instance of VcsBaseDiffEditorController.

### VcsBaseDiffEditorController::~VcsBaseDiffEditorController()

Destroys the instance of VcsBaseDiffEditorController.

### `[protected]` VcsBaseClientImpl *VcsBaseDiffEditorController::client() const

### `[virtual protected]` void VcsBaseDiffEditorController::processCommandOutput(const QString &output)

### `[protected]` void VcsBaseDiffEditorController::runCommand(const QList<QStringList> &args, unsigned flags, QTextCodec *codec = nullptr)

### `[protected]` void VcsBaseDiffEditorController::setStartupFile(const QString &startupFile)

See also startupFile().

### `[protected]` QString VcsBaseDiffEditorController::startupFile() const

See also setStartupFile().

### `[protected]` QString VcsBaseDiffEditorController::workingDirectory() const